<template>
  <header class="header" :class="{header_overlay: overlayed}">
    <HeaderTop @overlay="(val) => overlayed = val"></HeaderTop>
    <HeaderBottom></HeaderBottom>
    <TheBonusModal ref="bonusModal"></TheBonusModal>
  </header>
</template>

<script>
  import HeaderTop from './TheHeader_top';
  import HeaderBottom from './TheHeader_bottom';
  import TheBonusModal from './../TheBonusModal';

  export default {
    name: "TheHeader",
    data() {
      return {
        drawer: null,
        overlayed: false
      }
    },
    components: {
      HeaderTop,
      HeaderBottom,
      TheBonusModal
    },
    events: {
      'checkBonus': function() {
        this.checkBonus();
      }
    },
    methods: {
      async checkBonus() {
        this.$store.dispatch('wallet/fausetBonus').then(res => {
          this.$refs['bonusModal'].show(true, parseFloat(res.amount));
        }).catch(e => {
        })
      }
    }
  }
</script>
